#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: jose
version: 0.7.0.0
id: jose-0.7.0.0-1TRypj1dkCb7B0EWb8juRM
key: jose-0.7.0.0-1TRypj1dkCb7B0EWb8juRM
license: Apache-2.0
copyright: Copyright (C) 2013, 2014, 2015, 2016, 2017  Fraser Tweedale
maintainer: frase@frase.id.au
homepage: https://github.com/frasertweedale/hs-jose
synopsis: Javascript Object Signing and Encryption and JSON Web Token library
description:
    .
    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.
    .
    The JSON Web Signature (JWS; RFC 7515) implementation is complete.
    .
    EdDSA signatures (RFC 8037) are supported (Ed25519 only).
    .
    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).
    .
    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.
    .
    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.
category: Cryptography
author: Fraser Tweedale
exposed: True
indefinite: False
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT
hidden-modules: Crypto.JOSE.TH Crypto.JOSE.Types.Internal
                Crypto.JOSE.Types.Orphans
abi: 77d968ab5e3f71c734f8dcf4efd4fdf4
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/jose-0.7.0.0
library-dirs: /usr/lib/ghc-8.2.2/site-local/jose-0.7.0.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/jose-0.7.0.0
hs-libraries: HSjose-0.7.0.0-1TRypj1dkCb7B0EWb8juRM
depends:
    base-4.10.1.0 attoparsec-0.13.2.2-9YjPD6eySTr2XtEq1V3i2t
    base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be
    concise-0.1.0.1-2aDcFHSh3v6EEBycXmUQDd containers-0.5.10.2
    cryptonite-0.24-6Ygp664jBWE3FIr3r0Uq44
    lens-4.15.4-uWfJVTfOZBJ4eGs6kKOKA
    memory-0.14.16-JXoliazMy4LBu5xxL66kmR
    monad-time-0.3.1.0-7HVH4vvpYhA8KnatzHBKCJ
    mtl-2.2.2-8XubxMJDT8QLsstvlNotkc
    semigroups-0.18.4-mxkGq2xNPcBC0dj8uuk3q template-haskell-2.12.0.0
    safe-0.3.15-EroU33EYnr02fGSZYGiX97
    aeson-1.2.4.0-AtrYaitd3jMG1bjpyUF0Ei
    unordered-containers-0.2.9.0-BDwE3H9gLbqBuONTkERyOz
    bytestring-0.10.8.2 text-1.2.3.0-FxgEmn4RjqC37dwdnPGDhj
    time-1.8.0.2 network-uri-2.6.1.0-70Dn88tZogC6ueZsHNuWT3
    QuickCheck-2.10.1-pyTUKjDV2C3TaEubSGdV9
    quickcheck-instances-0.3.18-1PTvn84FFUgAhbtRvUDkTQ
    x509-1.7.3-6c43Le7SJRIFA1c0vhXCEh
    vector-0.12.0.1-JlawpRjIcMJIYPJVsWriIA
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             attoparsec-0.13.2.2-9YjPD6eySTr2XtEq1V3i2t=e275f62d517bb5373c55830561137640
             base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be=fce7541e6cf9cbf2867cdcb0a2552fb8
             concise-0.1.0.1-2aDcFHSh3v6EEBycXmUQDd=4b26d9790d5a6c842f22e2a488e556a8
             containers-0.5.10.2=cc49645af4ed58d1819a7e09ee1f7920
             cryptonite-0.24-6Ygp664jBWE3FIr3r0Uq44=eea3e1c865d0eecd53f47427ac255e06
             lens-4.15.4-uWfJVTfOZBJ4eGs6kKOKA=4d08e05717210b623e394c70025fd3e3
             memory-0.14.16-JXoliazMy4LBu5xxL66kmR=ab65a51ef395f4cd2a78138a2eaca54b
             monad-time-0.3.1.0-7HVH4vvpYhA8KnatzHBKCJ=2db2e4402de6c2a76de9feb87a7b025c
             mtl-2.2.2-8XubxMJDT8QLsstvlNotkc=ada793ec1f149425d0c0689d53e1173b
             semigroups-0.18.4-mxkGq2xNPcBC0dj8uuk3q=c739600aa012ae17eb506df1a043419b
             template-haskell-2.12.0.0=2257617827b0258ca46e933b344007b7
             safe-0.3.15-EroU33EYnr02fGSZYGiX97=c20d058560be9a4b5e941a33ed437bf5
             aeson-1.2.4.0-AtrYaitd3jMG1bjpyUF0Ei=cd659b4105a2c797bfc8b13b8ea3a331
             unordered-containers-0.2.9.0-BDwE3H9gLbqBuONTkERyOz=9d795026e0df763f1ffeaf92b7adcdda
             bytestring-0.10.8.2=4a9e2cf748f0e2cc5be33be7a5505ecf
             text-1.2.3.0-FxgEmn4RjqC37dwdnPGDhj=d51c5ac73448d7d6c9cbe4dedb95457e
             time-1.8.0.2=7cc0324e0aef789d5f0780f6640c241b
             network-uri-2.6.1.0-70Dn88tZogC6ueZsHNuWT3=afebcc3944e17103658dd7506cfde008
             QuickCheck-2.10.1-pyTUKjDV2C3TaEubSGdV9=8d659ba36825a86aa37a2316500bb35b
             quickcheck-instances-0.3.18-1PTvn84FFUgAhbtRvUDkTQ=8310f1e48f2edcfdba14575b049a7da6
             x509-1.7.3-6c43Le7SJRIFA1c0vhXCEh=30cf4b46ff72415b9b4823372760a42d
             vector-0.12.0.1-JlawpRjIcMJIYPJVsWriIA=a99b30cfe85615e5f75a9a70e1864f51
haddock-interfaces: /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html: /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

